import routes from "@/routes";
import { selectors } from "@/store";
import { useSelector } from "react-redux";
import { useNavigate } from "react-router-dom";
import Header from "../Header";
import Loader from "../Loader";
import UserHeader from "../UserHeader";
import "./styles.css";

function PaymentPage(): JSX.Element {
  const navigate = useNavigate();
  const email = useSelector(selectors.selectEmail);

  return (
    <>
      <Header
        showCross={true}
        clickCross={() => navigate(routes.client.home())}
      />
      <UserHeader email={email} />
      <section className="page">
        <Loader />
      </section>
    </>
  );
}

export default PaymentPage;
